| Home | Libraries | People | FAQ | More

#### Synopsis

The library provides the following Adapter Generator expressions:

    rng | boost::adaptors::adjacent_filtered(bi_pred)
    rng | boost::adaptors::copied(n,m)
    rng | boost::adaptors::filtered(pred)
    rng | boost::adaptors::indexed
    rng | boost::adaptors::indirected
    rng | boost::adaptors::map_keys
    rng | boost::adaptors::map_values
    rng | boost::adaptors::replaced(new_value, old_value)
    rng | boost::adaptors::replaced_if(pred, new_value)
    rng | boost::adaptors::reversed
    rng | boost::adaptors::sliced(n, m)
    rng | boost::adaptors::strided(n)
    rng | boost::adaptors::tokenized( <see arguments below> )
    rng | boost::adaptors::transformed(fun)
    rng | boost::adaptors::uniqued